<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\PreparingBox;

use Gls\GlsPoland\AdePlus\Common\Id;
use Gls\GlsPoland\AdePlus\Consignment\Consignment;
use Gls\GlsPoland\AdePlus\ConsignmentsApiClientInterface;

interface ClientInterface extends ConsignmentsApiClientInterface
{
    public function addConsignment(Consignment $consignment): Id;

    public function deleteConsignment(int $id): Id;
}
